searchNodes=[{"doc":"XmlJson - convention based de/serialization for XML to/from JSON.Delegates may be added here, but until then see the following Modules:XmlJson.ParkerXmlJson.BadgerFishOtherwise, specs, and type documentation in general, will be added soon.","ref":"XmlJson.html","title":"XmlJson","type":"module"},{"doc":"The BadgerFish implementation of XML &lt;=&gt; JSONhttp://www.sklar.com/badgerfish/","ref":"XmlJson.BadgerFish.html","title":"XmlJson.BadgerFish","type":"module"},{"doc":"Deserializes the given XML string.Returns an :ok tuple with the XML deserialized to a MapExamplesiex&gt; XmlJson.BadgerFish.deserialize(&quot;&lt;alice&gt;bob&lt;/alice&gt;&quot;) {:ok, %{&quot;alice&quot; =&gt; %{&quot;$&quot; =&gt; &quot;bob&quot;}}} iex&gt; XmlJson.BadgerFish.deserialize(&quot;&lt;alice xmlns=\\&quot;https://default.example.com\\&quot;&gt;bob&lt;/alice&gt;&quot;, exclude_namespaces: true) {:ok, %{&quot;alice&quot; =&gt; %{&quot;$&quot; =&gt; &quot;bob&quot;}}}","ref":"XmlJson.BadgerFish.html#deserialize/2","title":"XmlJson.BadgerFish.deserialize/2","type":"function"},{"doc":"Serializes the given Map.Returns an :ok tuple with a Map serialized to XMLExamplesiex&gt; XmlJson.BadgerFish.serialize(%{&quot;alice&quot; =&gt; %{&quot;$&quot; =&gt; &quot;bob&quot;}}) {:ok, &quot;&lt;alice&gt;bob&lt;/alice&gt;&quot;} iex&gt; XmlJson.BadgerFish.serialize(%{&quot;alice&quot; =&gt; %{&quot;$&quot; =&gt; &quot;bob&quot;, &quot;@xmlns&quot; =&gt; %{&quot;$&quot; =&gt; &quot;https://default.example.com&quot;}}}, exclude_namespaces: true) {:ok, &quot;&lt;alice&gt;bob&lt;/alice&gt;&quot;}","ref":"XmlJson.BadgerFish.html#serialize/2","title":"XmlJson.BadgerFish.serialize/2","type":"function"},{"doc":"","ref":"XmlJson.BadgerFish.html#t:badgerfish_options/0","title":"XmlJson.BadgerFish.badgerfish_options/0","type":"type"},{"doc":"Badgerfish implementation of deserialization from a Xml into Map","ref":"XmlJson.BadgerFish.Deserializer.html","title":"XmlJson.BadgerFish.Deserializer","type":"module"},{"doc":"","ref":"XmlJson.BadgerFish.Deserializer.html#deserialize/2","title":"XmlJson.BadgerFish.Deserializer.deserialize/2","type":"function"},{"doc":"Badgerfish implementation of serialization from a Map into Xml","ref":"XmlJson.BadgerFish.Serializer.html","title":"XmlJson.BadgerFish.Serializer","type":"module"},{"doc":"","ref":"XmlJson.BadgerFish.Serializer.html#serialize/2","title":"XmlJson.BadgerFish.Serializer.serialize/2","type":"function"},{"doc":"The Parker implementation of XML &lt;=&gt; JSONhttps://developer.mozilla.org/en-US/docs/Archive/JXON#The_Parker_Convention","ref":"XmlJson.Parker.html","title":"XmlJson.Parker","type":"module"},{"doc":"Deserializes the given XML string. Takes an option (preserve_root, defaults to false) for hoisting the root element or notReturns an :ok tuple with the XML deserialized to a MapExamplesiex&gt; XmlJson.Parker.deserialize(&quot;&lt;alice&gt;bob&lt;/alice&gt;&quot;) {:ok, &quot;bob&quot;} iex&gt; XmlJson.Parker.deserialize(&quot;&lt;alice&gt;bob&lt;/alice&gt;&quot;, preserve_root: true) {:ok, %{&quot;alice&quot; =&gt; &quot;bob&quot;}}","ref":"XmlJson.Parker.html#deserialize/2","title":"XmlJson.Parker.deserialize/2","type":"function"},{"doc":"Serializes the given Map. Takes an option (preserve_root, defaults to &quot;root&quot;) for what property to hoist or inject as the root elementReturns an :ok tuple with the Map serialized to XMLExamplesiex&gt; XmlJson.Parker.serialize(%{&quot;alice&quot; =&gt; &quot;bob&quot;}) {:ok, &quot;&lt;root&gt;&lt;alice&gt;bob&lt;/alice&gt;&lt;/root&gt;&quot;} iex&gt; XmlJson.Parker.serialize(%{&quot;alice&quot; =&gt; &quot;bob&quot;}, preserve_root: &quot;alice&quot;) {:ok, &quot;&lt;alice&gt;bob&lt;/alice&gt;&quot;}","ref":"XmlJson.Parker.html#serialize/2","title":"XmlJson.Parker.serialize/2","type":"function"},{"doc":"Parker implementation of deserialization from a Xml into Map","ref":"XmlJson.Parker.Deserializer.html","title":"XmlJson.Parker.Deserializer","type":"module"},{"doc":"","ref":"XmlJson.Parker.Deserializer.html#deserialize/2","title":"XmlJson.Parker.Deserializer.deserialize/2","type":"function"},{"doc":"","ref":"XmlJson.Parker.Deserializer.html#t:parker_deserializer_options/0","title":"XmlJson.Parker.Deserializer.parker_deserializer_options/0","type":"type"},{"doc":"Parker implementation of deserialization from a Xml into Map","ref":"XmlJson.Parker.Serializer.html","title":"XmlJson.Parker.Serializer","type":"module"},{"doc":"","ref":"XmlJson.Parker.Serializer.html#serialize/2","title":"XmlJson.Parker.Serializer.serialize/2","type":"function"},{"doc":"","ref":"XmlJson.Parker.Serializer.html#t:parker_serializer_options/0","title":"XmlJson.Parker.Serializer.parker_serializer_options/0","type":"type"},{"doc":"A generic Sax handler that creates a basic JSON version out of an XML document","ref":"XmlJson.SaxHandler.html","title":"XmlJson.SaxHandler","type":"module"},{"doc":"Callback implementation for Saxy.Handler.handle_event/3.","ref":"XmlJson.SaxHandler.html#handle_event/3","title":"XmlJson.SaxHandler.handle_event/3","type":"function"},{"doc":"XmlJson Should you convert XML to JSON? Probably not.If you have to though (and have decent control over the providers and consumers of the XML and JSON), then there are some decent conventions out there for lossless and near-lossless conversion, such as:abderabadgerfishcobragdataparker (pretty lossy, but my personal favorite)yahoo (okay, maybe they're not all great, but they tried)Presently this only supports Parker and BadgerFish and is largely happy path testing with the examples provided by each convention. That being said, eventually this will come up to a &gt; 0 major version when that is all worked out.Otherwise, this does NOT handle massive XML documents with grace, as it converts to a full JSON/Map object in memory.A port of the great Python library xmljson","ref":"readme.html","title":"XmlJson","type":"extras"},{"doc":"Parkeriex&gt; XmlJson.Parker.deserialize(&quot;&lt;root&gt;&lt;dog&gt;cat&lt;/dog&gt;&lt;/root&gt;&quot;, preserve_root: true) {:ok, %{&quot;root&quot; =&gt; %{&quot;dog&quot; =&gt; &quot;cat&quot;}}} iex&gt; XmlJson.Parker.serialize(%{&quot;root&quot; =&gt; %{&quot;dog&quot; =&gt; &quot;cat&quot;}}, preserve_root: &quot;root&quot;) {:ok, &quot;&lt;root&gt;&lt;dog&gt;cat&lt;/dog&gt;&lt;/root&gt;&quot;}BadgerFishiex&gt; XmlJson.BadgerFish.deserialize(&quot;&lt;root attr=\\&quot;hello\\&quot;&gt;&lt;dog&gt;cat&lt;/dog&gt;&lt;/root&gt;&quot;) {:ok, %{&quot;root&quot; =&gt; %{&quot;@attr&quot; =&gt; &quot;hello&quot;, &quot;dog&quot; =&gt; %{&quot;$&quot; =&gt; &quot;cat&quot;}}}} iex&gt; XmlJson.BadgerFish.serialize(%{&quot;root&quot; =&gt; %{&quot;@attr&quot; =&gt; &quot;hello&quot;, &quot;dog&quot; =&gt; %{&quot;$&quot; =&gt; &quot;cat&quot;}}}) {:ok, &quot;&lt;root attr=\\&quot;hello\\&quot;&gt;&lt;dog&gt;cat&lt;/dog&gt;&lt;/root&gt;&quot;}","ref":"readme.html#usage","title":"XmlJson - Usage","type":"extras"},{"doc":"The package can be installed by adding xml_json to your list of dependencies in mix.exs:def deps do [ {:xml_json, &quot;~&gt; 0.1.0&quot;} ] endThe docs can be found at https://hexdocs.pm/xml_json.","ref":"readme.html#installation","title":"XmlJson - Installation","type":"extras"},{"doc":"MIT Copyright (c) 2020 Ben Brewer","ref":"readme.html#license","title":"XmlJson - License","type":"extras"},{"doc":"The MIT License (MIT) Copyright (c) 2020 Ben Brewer Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]